query listAttireOptions @auth(level: USER) {
  attireOptions {
    id
    itemId
    label
    icon
    imageUrl
    isMandatory
    vendorId
    createdAt
  }
}

query getAttireOptionById($id: UUID!) @auth(level: USER) {
  attireOption(id: $id) {
    id
    itemId
    label
    icon
    imageUrl
    isMandatory
    vendorId
    createdAt
  }
}

query filterAttireOptions(
  $itemId: String
  $isMandatory: Boolean
  $vendorId: UUID
) @auth(level: USER) {
  attireOptions(
    where: {
      itemId: { eq: $itemId }
      isMandatory: { eq: $isMandatory }
      vendorId: { eq: $vendorId }
    }
  ) {
    id
    itemId
    label
    icon
    imageUrl
    isMandatory
    vendorId
  }
}
